org.apache.lucene.geo

## Class EarthDebugger

- java.lang.Object
- - org.apache.lucene.geo.EarthDebugger

    public class EarthDebugger
    extends Object

Draws shapes on the earth surface and renders using the very cool http://www.webglearth.org. Just instantiate this class, add the things you want plotted, and call `finish()` to get the resulting HTML that you should save and load with a browser.

### Constructor Summary

Constructors
Constructor and Description
`EarthDebugger()`
`EarthDebugger(double centerLat, double centerLon, double altitudeMeters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCircle(double centerLat, double centerLon, double radiusMeters, boolean alsoAddBBox)`
`void` `addLatLine(double lat, double minLon, double maxLon)` Draws a line a fixed latitude, spanning the min/max longitude
`void` `addLonLine(double minLat, double maxLat, double lon)` Draws a line a fixed longitude, spanning the min/max latitude
`void` `addPoint(double lat, double lon)`
`void` `addPolygon(Polygon poly)`
`void` `addPolygon(Polygon poly, String color)`
`void` `addRect(double minLat, double maxLat, double minLon, double maxLon)`
`void` `addRect(double minLat, double maxLat, double minLon, double maxLon, String color)`
`String` `finish()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EarthDebugger

    public EarthDebugger()

#### EarthDebugger

    public EarthDebugger(double centerLat,
                         double centerLon,
                         double altitudeMeters)

### Method Detail

#### addPolygon

    public void addPolygon(Polygon poly)

#### addPolygon

    public void addPolygon(Polygon poly,
                           String color)

#### addRect

    public void addRect(double minLat,
                        double maxLat,
                        double minLon,
                        double maxLon)

#### addRect

    public void addRect(double minLat,
                        double maxLat,
                        double minLon,
                        double maxLon,
                        String color)

#### addLatLine

    public void addLatLine(double lat,
                           double minLon,
                           double maxLon)

Draws a line a fixed latitude, spanning the min/max longitude

#### addLonLine

    public void addLonLine(double minLat,
                           double maxLat,
                           double lon)

Draws a line a fixed longitude, spanning the min/max latitude

#### addPoint

    public void addPoint(double lat,
                         double lon)

#### addCircle

    public void addCircle(double centerLat,
                          double centerLon,
                          double radiusMeters,
                          boolean alsoAddBBox)

#### finish

    public String finish()